hpp-core: hpp::core::pathOptimization::RandomShortcut Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathOptimization::RandomShortcut Class Reference
Path Optimization

`#include <hpp/core/path-optimization/random-shortcut.hh>`

Inheritance diagram for hpp::core::pathOptimization::RandomShortcut:
[legend]
Collaboration diagram for hpp::core::pathOptimization::RandomShortcut:
[legend]

## Public Member Functions
virtual PathVectorPtr_t | optimize (const PathVectorPtr_t &path)
| Optimize path.
Public Member Functions inherited from hpp::core::PathOptimizer
virtual | ~PathOptimizer ()
ProblemConstPtr_t | problem () const
| Get problem.
void | interrupt ()
| Interrupt path optimization.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)

## Static Public Member Functions
static RandomShortcutPtr_t | create (const ProblemConstPtr_t &problem)
| Return shared pointer to new object.

## Protected Member Functions
| RandomShortcut (const ProblemConstPtr_t &problem)
virtual bool | shootTimes (const PathVectorPtr_t &currentOpt, const value_type &t0, value_type &t1, value_type &t2, const value_type &t3)
Protected Member Functions inherited from hpp::core::PathOptimizer
| PathOptimizer (const ProblemConstPtr_t &problem)
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
void | monitorExecution ()
void | endIteration ()
bool | shouldStop () const
void | initFromParameters ()

## Additional Inherited Members
Protected Attributes inherited from hpp::core::PathOptimizer
bool | interrupt_

## Detailed Description

Random shortcut

Path optimizer that iteratively samples random configurations along a path and that tries to connect these configurations by a call to the steering method.

Note
  The optimizer assumes that the input path is a vector of optimal paths for the distance function.

## Constructor & Destructor Documentation

## ◆ RandomShortcut()

hpp::core::pathOptimization::RandomShortcut::RandomShortcut | ( | const ProblemConstPtr_t & | problem | ) |
| protected

## Member Function Documentation

## ◆ create()

static RandomShortcutPtr_t hpp::core::pathOptimization::RandomShortcut::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

Return shared pointer to new object.

## ◆ optimize()

virtual PathVectorPtr_t hpp::core::pathOptimization::RandomShortcut::optimize | ( | const PathVectorPtr_t & | path | ) |
| virtual

Optimize path.

Implements hpp::core::PathOptimizer.

## ◆ shootTimes()

virtual bool hpp::core::pathOptimization::RandomShortcut::shootTimes | ( | const PathVectorPtr_t & | currentOpt,
|  | const value_type & | t0,
|  | value_type & | t1,
|  | value_type & | t2,
|  | const value_type & | t3
| ) |  |
| protectedvirtual

Sample times along currentOpt

Parameters

  | currentOpt | the current path
  [in] | t0,t3 are | the start and end of currentOpt
  [out] | t1,t2 | are the position where to apply shortcut.

Warning
  The function should output t1 < t2

Returns
  true in case of success

The documentation for this class was generated from the following file:

- include/hpp/core/path-optimization/random-shortcut.hh